# OpalJitterBuffer::Init Struct Reference

Initialisation information. More...

`#include <jitter.h>`

## Public Member Functions

| Init (unsigned minDelay=0, unsigned maxDelay=0)

## Data Fields

unsigned | m_minJitterDelay
| Minimum delay in RTP timestamp units.
unsigned | m_maxJitterDelay
| Maximum delay in RTP timestamp units.
unsigned | m_timeUnits
| Time units, usually 8 or 16.
PINDEX | m_packetSize
| Max RTP packet size.

## Detailed Description

Initialisation information.

## Constructor & Destructor Documentation

OpalJitterBuffer::Init::Init | ( | unsigned | minDelay = `0`,
|  | unsigned | maxDelay = `0` |
| ) |  |  | `[inline]`

## Field Documentation

unsigned OpalJitterBuffer::Init::m_maxJitterDelay

Maximum delay in RTP timestamp units.

unsigned OpalJitterBuffer::Init::m_minJitterDelay

Minimum delay in RTP timestamp units.

PINDEX OpalJitterBuffer::Init::m_packetSize

Max RTP packet size.

unsigned OpalJitterBuffer::Init::m_timeUnits

Time units, usually 8 or 16.

The documentation for this struct was generated from the following file:

- jitter.h